-------------------------------------------------------------------------------
-- Blizzard Finnegan
-- S/R flip-flop
-------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity sr_ff is
  port(
    s     : in  std_logic;
    r     : in  std_logic;
    clk   : in  std_logic;
    reset : in  std_logic;
    q     : out std_logic;
    q_n   : out std_logic
  );
end entity sr_ff;

architecture arch of sr_ff is

begin
process(clk, reset)
begin
  if(reset = '1') then
    q <= '0';
    q_n <= '1';
  elsif (clk'event and clk = '1') then
    if (s = '1') then
      q <= '1';
      q_n <= '0';
    elsif (r = '1') then 
      q <= '0';
      q_n <= '1';
    end if;
  end if;
end process;
end arch;
