-------------------------------------------------------------------------------
-- Blizzard Finnegan
-- generic counter demo
-------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity generic_counter is
  generic (
    bit_width     : integer := 2;
    rollover_val  : integer
  );
  port(
    clk   : in  std_logic;
    reset : in  std_logic;
    output: out std_logic_vector(bit_width - 1 downto 0)
  );
end generic_counter;

architecture behaviour of generic_counter is
signal val : std_logic_vector(bit_width - 1 downto 0);
begin

output <= val;

process(clk,reset)
begin
  if (reset = '1') then
    val <= ( others => '0');
  elsif(rising_edge(clk)) then
    if ( to_integer(unsigned(val)) >= rollover_val) then
      val <= ( others => '0');
    else
      val <= std_logic_vector(unsigned(val) + 1);
    end if;
  end if;
end process;
end behaviour;
