-------------------------------------------------------------------------------
-- Blizzard Finnegan
-- 2 Function 8-bit Calculator test bench
-------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity four_func_calc_tb is
end four_func_calc_tb;

architecture arch of four_func_calc_tb is

component top is
  port(
    clk             : in  std_logic;
    reset_n         : in  std_logic;
    input_switches  : in  std_logic_vector(7 downto 0);
    exec_btn        : in  std_logic;
    --state_indicator : out std_logic_vector(3 downto 0);
    hundreds_disp   : out std_logic_vector(6 downto 0);
    tens_disp       : out std_logic_vector(6 downto 0);
    ones_disp       : out std_logic_vector(6 downto 0)
  );
end component; 

signal clock : std_logic := '0';
signal reset : std_logic := '0';
signal exec_button : std_logic := '0';
signal input_switches : std_logic_vector(7 downto 0);

begin

uut: top  
  port map(
    clk => clock,
    reset_n => reset,
    input_switches => input_switches,
    exec_btn => exec_button,
    --state_indicator => open,
    hundreds_disp => open,
    tens_disp => open,
    ones_disp => open
  );

clock_toggle: process
begin
  clock <= not clock;
  wait for 2 ns;
end process;

async_reset: process
begin
  wait for 20 ns;
  reset <= '1';
end process;

stimuli: process
begin
  input_switches <= std_logic_vector(to_unsigned(4,input_switches'length));
  wait for 150 ns;
  exec_button <= '1';
  wait for 20 ns;
  exec_button <= '0';
  wait for 20 ns;


  input_switches <= std_logic_vector(to_unsigned(8,input_switches'length));
  wait for 80 ns;
  exec_button <= '1';
  wait for 20 ns;
  exec_button <= '0';
  wait for 20 ns;
  
  wait for 40 ns;
  exec_button <= '1';
  wait for 20 ns;
  exec_button <= '0';
  wait for 40 ns;

  exec_button <= '1';
  wait for 20 ns;
  exec_button <= '0';
  wait for 20 ns;

  input_switches <= std_logic_vector(to_unsigned(2,input_switches'length));
  wait for 80 ns;
  exec_button <= '1';
  wait for 20 ns;
  exec_button <= '0';
  wait for 20 ns;

  wait for 40 ns;
  exec_button <= '1';
  wait for 20 ns;
  exec_button <= '0';
  wait for 40 ns;

  wait for 80 ns;
  exec_button <= '1';
  wait for 20 ns;
  exec_button <= '0';
  wait for 80 ns;

end process;
end arch;
