-------------------------------------------------------------------------------
-- Blizzard Finnegan
-- Rising Edge Detect
-------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity rising_edge_detect is
  port(
    clk   : in  std_logic;
    reset : in  std_logic;
    d     : in  std_logic;
    edge  : out std_logic
  );
end rising_edge_detect;

architecture behaviour of rising_edge_detect is
signal d_z : std_logic;
begin

edge <= d_z and (not d);

process(clk,reset)
begin
  if(reset = '1') then
    d_z <= '0';
  elsif (rising_edge(clk)) then
    d_z <= d;
  end if;
end process;

end behaviour;
